<!-- app.component.html -->
<div class="products-admin">
  <p-table [value]="jsonData.data" [paginator]="true" [rows]="10">
    <ng-template pTemplate="header">
      <tr>
        <th *ngFor="let col of ['id', 'code', 'name', 'description', 'image', 'price', 'category', 'quantity', 'inventoryStatus', 'rating']">
          {{ col }}
          <p-tableHeaderCheckbox></p-tableHeaderCheckbox>
          <input pInputText type="text" pInputTextFilter />
        </th>
      </tr>
    </ng-template>
    <ng-template pTemplate="body" let-rowData>
      <tr>
        <td>{{ rowData.id }}</td>
        <td>{{ rowData.code }}</td>
        <td>{{ rowData.name }}</td>
        <td>{{ rowData.description }}</td>
        <td>{{ rowData.image }}</td>
        <td>{{ rowData.price }}</td>
        <td>{{ rowData.category }}</td>
        <td>{{ rowData.quantity }}</td>
        <td>{{ rowData.inventoryStatus }}</td>
        <td>{{ rowData.rating }}</td>
      </tr>
    </ng-template>
  </p-table>
</div>
